Package com.omnisci.thrift.server

## Class TPendingQuery

- java.lang.Object
- - com.omnisci.thrift.server.TPendingQuery

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TPendingQuery>`, `org.apache.thrift.TBase<TPendingQuery,​TPendingQuery._Fields>`, `org.apache.thrift.TSerializable`

    public class TPendingQuery
    extends Object
    implements org.apache.thrift.TBase<TPendingQuery,​TPendingQuery._Fields>, Serializable, Cloneable, Comparable<TPendingQuery>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TPendingQuery._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`List<TColumnRange>` `column_ranges`
`List<TDictionaryGeneration>` `dictionary_generations`
`long` `id`
`static Map<TPendingQuery._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`String` `parent_session_id`
`List<TTableGeneration>` `table_generations`

### Constructor Summary

Constructors
`TPendingQuery()`
`TPendingQuery​(long id, List<TColumnRange> column_ranges, List<TDictionaryGeneration> dictionary_generations, List<TTableGeneration> table_generations, String parent_session_id)`
`TPendingQuery​(TPendingQuery other)` Performs a deep copy on other.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addToColumn_ranges​(TColumnRange elem)`
`void` `addToDictionary_generations​(TDictionaryGeneration elem)`
`void` `addToTable_generations​(TTableGeneration elem)`
`void` `clear()`
`int` `compareTo​(TPendingQuery other)`
`TPendingQuery` `deepCopy()`
`boolean` `equals​(TPendingQuery that)`
`boolean` `equals​(Object that)`
`TPendingQuery._Fields` `fieldForId​(int fieldId)`
`List<TColumnRange>` `getColumn_ranges()`
`Iterator<TColumnRange>` `getColumn_rangesIterator()`
`int` `getColumn_rangesSize()`
`List<TDictionaryGeneration>` `getDictionary_generations()`
`Iterator<TDictionaryGeneration>` `getDictionary_generationsIterator()`
`int` `getDictionary_generationsSize()`
`Object` `getFieldValue​(TPendingQuery._Fields field)`
`long` `getId()`
`String` `getParent_session_id()`
`List<TTableGeneration>` `getTable_generations()`
`Iterator<TTableGeneration>` `getTable_generationsIterator()`
`int` `getTable_generationsSize()`
`int` `hashCode()`
`boolean` `isSet​(TPendingQuery._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetColumn_ranges()` Returns true if field column_ranges is set (has been assigned a value) and false otherwise
`boolean` `isSetDictionary_generations()` Returns true if field dictionary_generations is set (has been assigned a value) and false otherwise
`boolean` `isSetId()` Returns true if field id is set (has been assigned a value) and false otherwise
`boolean` `isSetParent_session_id()` Returns true if field parent_session_id is set (has been assigned a value) and false otherwise
`boolean` `isSetTable_generations()` Returns true if field table_generations is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`TPendingQuery` `setColumn_ranges​(List<TColumnRange> column_ranges)`
`void` `setColumn_rangesIsSet​(boolean value)`
`TPendingQuery` `setDictionary_generations​(List<TDictionaryGeneration> dictionary_generations)`
`void` `setDictionary_generationsIsSet​(boolean value)`
`void` `setFieldValue​(TPendingQuery._Fields field, Object value)`
`TPendingQuery` `setId​(long id)`
`void` `setIdIsSet​(boolean value)`
`TPendingQuery` `setParent_session_id​(String parent_session_id)`
`void` `setParent_session_idIsSet​(boolean value)`
`TPendingQuery` `setTable_generations​(List<TTableGeneration> table_generations)`
`void` `setTable_generationsIsSet​(boolean value)`
`String` `toString()`
`void` `unsetColumn_ranges()`
`void` `unsetDictionary_generations()`
`void` `unsetId()`
`void` `unsetParent_session_id()`
`void` `unsetTable_generations()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### id

    public long id

#### column_ranges

    public List<TColumnRange> column_ranges

#### dictionary_generations

    public List<TDictionaryGeneration> dictionary_generations

#### table_generations

    public List<TTableGeneration> table_generations

#### parent_session_id

    public String parent_session_id

#### metaDataMap

    public static final Map<TPendingQuery._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TPendingQuery

    public TPendingQuery()

#### TPendingQuery

    public TPendingQuery​(long id,
                         List<TColumnRange> column_ranges,
                         List<TDictionaryGeneration> dictionary_generations,
                         List<TTableGeneration> table_generations,
                         String parent_session_id)

#### TPendingQuery

    public TPendingQuery​(TPendingQuery other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TPendingQuery deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TPendingQuery,​TPendingQuery._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TPendingQuery,​TPendingQuery._Fields>`

#### getId

    public long getId()

#### setId

    public TPendingQuery setId​(long id)

#### unsetId

    public void unsetId()

#### isSetId

    public boolean isSetId()

Returns true if field id is set (has been assigned a value) and false otherwise

#### setIdIsSet

    public void setIdIsSet​(boolean value)

#### getColumn_rangesSize

    public int getColumn_rangesSize()

#### getColumn_rangesIterator

    public Iterator<TColumnRange> getColumn_rangesIterator()

#### addToColumn_ranges

    public void addToColumn_ranges​(TColumnRange elem)

#### getColumn_ranges

    public List<TColumnRange> getColumn_ranges()

#### setColumn_ranges

    public TPendingQuery setColumn_ranges​(List<TColumnRange> column_ranges)

#### unsetColumn_ranges

    public void unsetColumn_ranges()

#### isSetColumn_ranges

    public boolean isSetColumn_ranges()

Returns true if field column_ranges is set (has been assigned a value) and false otherwise

#### setColumn_rangesIsSet

    public void setColumn_rangesIsSet​(boolean value)

#### getDictionary_generationsSize

    public int getDictionary_generationsSize()

#### getDictionary_generationsIterator

    public Iterator<TDictionaryGeneration> getDictionary_generationsIterator()

#### addToDictionary_generations

    public void addToDictionary_generations​(TDictionaryGeneration elem)

#### getDictionary_generations

    public List<TDictionaryGeneration> getDictionary_generations()

#### setDictionary_generations

    public TPendingQuery setDictionary_generations​(List<TDictionaryGeneration> dictionary_generations)

#### unsetDictionary_generations

    public void unsetDictionary_generations()

#### isSetDictionary_generations

    public boolean isSetDictionary_generations()

Returns true if field dictionary_generations is set (has been assigned a value) and false otherwise

#### setDictionary_generationsIsSet

    public void setDictionary_generationsIsSet​(boolean value)

#### getTable_generationsSize

    public int getTable_generationsSize()

#### getTable_generationsIterator

    public Iterator<TTableGeneration> getTable_generationsIterator()

#### addToTable_generations

    public void addToTable_generations​(TTableGeneration elem)

#### getTable_generations

    public List<TTableGeneration> getTable_generations()

#### setTable_generations

    public TPendingQuery setTable_generations​(List<TTableGeneration> table_generations)

#### unsetTable_generations

    public void unsetTable_generations()

#### isSetTable_generations

    public boolean isSetTable_generations()

Returns true if field table_generations is set (has been assigned a value) and false otherwise

#### setTable_generationsIsSet

    public void setTable_generationsIsSet​(boolean value)

#### getParent_session_id

    public String getParent_session_id()

#### setParent_session_id

    public TPendingQuery setParent_session_id​(String parent_session_id)

#### unsetParent_session_id

    public void unsetParent_session_id()

#### isSetParent_session_id

    public boolean isSetParent_session_id()

Returns true if field parent_session_id is set (has been assigned a value) and false otherwise

#### setParent_session_idIsSet

    public void setParent_session_idIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TPendingQuery._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TPendingQuery,​TPendingQuery._Fields>`

#### getFieldValue

    public Object getFieldValue​(TPendingQuery._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TPendingQuery,​TPendingQuery._Fields>`

#### isSet

    public boolean isSet​(TPendingQuery._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TPendingQuery,​TPendingQuery._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TPendingQuery that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TPendingQuery other)

Specified by:
  `compareTo` in interface `Comparable<TPendingQuery>`

#### fieldForId

    public TPendingQuery._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TPendingQuery,​TPendingQuery._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`